Package org.optaplanner.core.impl.score.buildin.bendable

## Class BendableScoreInliner

- java.lang.Object
- - org.optaplanner.core.impl.score.inliner.ScoreInliner<BendableScore>
  - - org.optaplanner.core.impl.score.buildin.bendable.BendableScoreInliner

-     public final class BendableScoreInliner
      extends ScoreInliner<BendableScore>

- - ### Field Summary

    - ### Fields inherited from class org.optaplanner.core.impl.score.inliner.ScoreInliner

      `constraintMatchEnabled`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BendableScoreInliner​(Map<Constraint,​BendableScore> constraintToWeightMap, boolean constraintMatchEnabled, int hardLevelsSize, int softLevelsSize)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `WeightedScoreImpacter` | `buildWeightedScoreImpacter​(Constraint constraint)` | Create a new instance of `WeightedScoreImpacter` for a particular constraint.
    `BendableScore` | `extractScore​(int initScore)` |
    `String` | `toString()` |

    - ### Methods inherited from class org.optaplanner.core.impl.score.inliner.ScoreInliner

      `addConstraintMatch, getConstraintMatchTotalMap, getConstraintWeight, getIndictmentMap`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BendableScoreInliner

          public BendableScoreInliner​(Map<Constraint,​BendableScore> constraintToWeightMap,
                                      boolean constraintMatchEnabled,
                                      int hardLevelsSize,
                                      int softLevelsSize)

  - ### Method Detail

    - #### buildWeightedScoreImpacter

          public WeightedScoreImpacter buildWeightedScoreImpacter​(Constraint constraint)

      Description copied from class: `ScoreInliner`
      Create a new instance of `WeightedScoreImpacter` for a particular constraint.
      Specified by:
        `buildWeightedScoreImpacter` in class `ScoreInliner<BendableScore>`
      Parameters:
        `constraint` - never null
      Returns:
        never null

    - #### extractScore

          public BendableScore extractScore​(int initScore)

      Specified by:
        `extractScore` in class `ScoreInliner<BendableScore>`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`